import request from '@/utils/request'

// 查询列表
export function listApi(query) {
  return request({
    url: '/authority/apiInfo/info/list',
    method: 'get',
    params: query
  })
}

// 查询编号是否重复
export function chooseOnly(query) {
  return request({
    url: '/authority/apiInfo/info/chooseOnly',
    method: 'get',
    params: query
  })
}

export function deleteApi(query) {
  return request({
    url: '/authority/apiInfo/info/removeById?businessId=' + query,
    method: 'delete'
  })
}

// 新增
export function addApi(data) {
  return request({
    url: '/authority/apiInfo/info/add',
    method: 'post',
    data: data
  })
}

// 修改
export function editApi(data) {
  return request({
    url: '/authority/apiInfo/info/edit',
    method: 'put',
    data: data
  })
}
// 导出
export function exportsExcel(data) {
  return request({
    url: '/authority/apiInfo/info/exportExcelApi',
    method: 'get',
    data: data,
    responseType: 'blob'
  })
}
// 下载
export function exportExcelEmpty(data) {
  return request({
    method: 'get',
    url: '/authority/apiInfo/info/exportExcelEmpty',
    responseType: 'blob',
    data: data
  })
}
// 导入
export function importExcel(data) {
  return request({
    method: 'post',
    url: '/authority/apiInfo/info/importExcel',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    transformRequest: [(data) => {
      return data
    }],
    data
  })
}

