import request from '@/utils/request'
// 查询基础信息列表
export function listBasicInfo(query) {
  return request({
    url: '/wbbaseinfo/queryWbBaseinfoByPagination',
    method: 'get',
    params: query
  })
}

// 新增设备基本信息
export function add(data) {
  return request({
    url: '/wbbaseinfo/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据id查询基础信息接口
export function getDetailById(id) {
  return request({
    url: '/wbbaseinfo/detail/' + id,
    method: 'get'
  })
}
// 修改基础信息接口
export function updataInfo(data) {
  return request({
    url: '/wbbaseinfo/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 逻辑删除基础信息接口
export function deleteLogical(id) {
  return request({
    url: '/wbbaseinfo/deleteLogical/' + id,
    method: 'delete'
  })
}
export function getDictData(params) {
  return request({
    url: '/wbbaseinfo/queryDict',
    method: 'get',
    params
  })
}

// TODO: 导出
export function exportBasicInfo(params) {
  return request({
    url: '/wbbaseinfo/export',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

