import request from '@/utils/request'
import Qs from 'qs'
import { exportConfig } from '../system/config'
// 查询角色列表
export function listCheck(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}

export function ListAllWarehose(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouse',
    method: 'get',
    params: query
  })
}

export function abandon(data) {
  return request({
    url: '/wbwarehouse/abandon',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function checkType(data) {
  return request({
    url: '/wbwarehouseinventorytemp/checkType/' + data,
    method: 'get'
  })
}

export function addList(data) {
  return request({
    url: '/wbwarehouseinventorytemp/addList',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

export function deleteByType(data) {
  return request({
    url: '/wbwarehouseinventorytemp/deleteByType/' + data,
    method: 'delete'
  })
}

export function checkInventory(query) {
  return request({
    url: '/wbwarehouse/checkInventory/' + query,
    method: 'get'
  })
}
