import request from '@/utils/request'
import { id } from 'html-webpack-plugin/lib/chunksorter'
// 查询基础信息列表
export function listWbApply(query) {
  return request({
    url: '/wbapply/queryWbApplyByPagination',
    method: 'get',
    params: query
  })
}
// warehouse表单分页查询接口
export function detailList(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}
// 逻辑删除基础信息接口
export function deleteLogical(id) {
  return request({
    url: '/wbapply/deleteLogical/' + id,
    method: 'delete'
  })
}
// 处理的接口
export function batchAddition(data) {
  return request({
    url: '/wbapply/batchAddition',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据id查询基础信息接口
export function detail(id) {
  return request({
    url: '/wbapply/detail/' + id,
    method: 'get'
  })
}

// 菜单权限验证接口
// export function checkPermission(data) {
//   return request({
//     url: '/wbapply/checkPermission',
//     method: 'post',
//     data,
//     headers: {
//       'Content-Type': 'application/json;charset=UTF-8'
//     }
//   })
// }
// 菜单权限验证接口
export function checkPermission(data) {
  return request({
    url: '/wbwarehouselog/checkPermissionTwo',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}


// 根据type查询要处理的设备
export function canceListByType(params) {
  return request({
    url: '/wbwarehouse/canceListByType',
    method: 'get',
    params
  })
}
