import request from '@/utils/request'
import Qs from 'qs'
// 查询角色列表
export function listCheck(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}
export function getlistRole() {
  return request({
    url: 'system/role/listAll',
    method: 'get'
  })
}

// 查询角色详细
export function getRole(businessId) {
  return request({
    url: '/system/role/detail/' + businessId,
    method: 'get'
  })
}

// 新增角色
export function addRole(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/role/add',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 修改角色


// 角色数据权限
export function dataScope(data) {
  data = Qs.stringify(data)
  return request({
    url: '/system/role/dataScope',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}

// 角色状态修改
export function changeRoleStatus(businessId, flag) {
  const data = {
    businessId,
    flag
  }
  return request({
    url: '/system/role/changeStatus',
    method: 'put',
    params: data
  })
}

// 删除角色
export function delEquipment(equipmentId) {
    return request({
      url: '/wbwarehouse/deleteLogical/' + equipmentId,
      method: 'delete'
  })
}

// 导出角色
export function exportRole(query) {
  return request({
    url: '/system/role/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
