// 流程 文件上传通用接口
// 传未被formData处理过的值
import request from '@/utils/request'

export function uploadPublic(data, callback) {
  const formData = new FormData()
  for (const key in data) {
    if (key === 'files') {
      const file = data[key]
      const fileType = file.name.split('.')[file.name.split('.').length - 1]
      const fileName = file.name.substring(0, file.name.lastIndexOf('.'))
      let fileUpload
      // 文件名去后缀后 判断是否大于50
      if (fileName && fileName.length > 50) {
        // 如果是 则返回创建新文件并且赋值文件名
        fileUpload = new File([file], `${file.name.substring(0, 50)}.${fileType}`, {
          type: file.type
        })
      } else {
        // 若不是则直接取file
        fileUpload = file
      }
      formData.append(key, fileUpload)
    } else {
      formData.append(key, data[key])
    }
  }
  return request({
    url: '/authority/upload/uploadSpeedy',
    method: 'post',
    data: formData,
    uploadProgress: (p) => {
      callback && callback(p)
    }
  })
}
