import request from '@/utils/request'

// 查询设备列表
export function listdevice(query) {
  return request({
    url: '/wbwarehouse/queryWbWarehouseByPagination',
    method: 'get',
    params: query
  })
}
export function updatadevice(data) {
  return request({
    url: '/wbwarehouse/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
export function getDetailById(id) {
  return request({
    url: '/wbwarehouse/detail/' + id,
    method: 'get'
  })
}
export function add(data) {
  return request({
    url: '/wbwarehouse/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 再利用
export function recycle(data) {
  return request({
    url: '/wbwarehouse/recycle',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
// 逻辑删除基础信息接口
export function deletedevice(id) {
  return request({
    url: '/wbwarehouse/deleteLogical/' + id,
    method: 'delete'
  })
}
// 导出
export function exportdevice(query) {
  return request({
    url: '/wbwarehouse/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
