import request from '@/utils/request'
import Qs from 'qs'

// 查询异常日志列表
export function list(query) {
  return request({
    url: '/monitor/errorLog/queryErrorLogListByPagination',
    method: 'get',
    params: query
  })
}

// 删除异常日志
export function delErrLog(data) {
  // data = Qs.stringify(data)
  return request({
    url: '/monitor/errorLog/delete',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 清空异常日志
export function cleanErrLog() {
  return request({
    url: '/monitor/errorLog/clean',
    method: 'delete'
  })
}

// 导出异常日志
export function exportErrLog(query) {
  return request({
    url: '/monitor/errorLog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

