import request from '@/utils/request'
import Qs from 'qs'

// 查询操作日志列表
export function list(query) {
  return request({
    url: '/monitor/operLog/queryOperLogListByPagination',
    method: 'get',
    params: query
  })
}

// 删除操作日志
export function delOperLog(data) {
  // data = Qs.stringify(data)
  return request({
    url: '/monitor/operLog/delete',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 清空操作日志
export function cleanOperLog() {
  return request({
    url: '/monitor/operLog/clean',
    method: 'delete'
  })
}

// 导出操作日志
export function exportOperLog(query) {
  return request({
    url: '/monitor/operLog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
