import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/wbjl/queryWbjlByPagination',
    method: 'get',
    params
  })
}
// 添加基础信息接口
export function add(data) {
  return request({
    url: '/wbjl/add',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 根据id查询基础信息接口
export function getDetailById(id) {
  return request({
    url: '/wbjl/detail/' + id,
    method: 'get'
  })
}
// 编辑基础信息接口
export function updataInfo(data) {
  return request({
    url: '/wbjl/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 逻辑删除基础信息接口
export function deleteLogical(id) {
  return request({
    url: '/wbjl/deleteLogical/' + id,
    method: 'delete'
  })
}
// 导出信息接口
export function exporTable(params) {
  return request({
    url: '/wbjl/export',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 根据key值查询数据字典数据
export function getDictData(params) {
  return request({
    url: '/wbapply/queryDict',
    method: 'get',
    params
  })
}